## arcboot 0.3.3.9.woody.0

=== Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
# Copyright 2002 Guido Gnther <agx@sigxcpu.org>
#  

BUILD_DIRS=\
		arclib		\
		e2fslib/util 	\
		e2fslib/et 	\
		e2fslib		\
		ext2load	\
		tip22

all clean:
	for i in $(BUILD_DIRS); do \
		$(MAKE) -C $$i $@; \
	done
