=== arclib/Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
#
CFLAGS = -O -Werror -Wall -mno-abicalls -G 0 -fno-pic 
ASFLAGS= -mno-abicalls -G 0 -fno-pic

OBJECTS = arc.o	stdio.o stdlib.o string.o

all:  libarc.a

libarc.a:  $(OBJECTS)
	rm -f $@
	$(AR) -cr $@ $(OBJECTS)

clean:
	rm -f libarc.a $(OBJECTS)
