=== tip22/Makefile ===
#
# Copyright 2002 Guido Guenther <agx@sigxcpu.org>
#
TFTP_OBJS = tftpload.o

ARCLIBDIR = ../arclib
ARCLIB = $(ARCLIBDIR)/libarc.a

CFLAGS = -O -I$(ARCLIBDIR) -Wall -mno-abicalls -G 0 -fno-pic 
ASFLAGS= -mno-abicalls -G 0 -fno-pic
LD = ld
LDFLAGS = -N --oformat ecoff-bigmips -T ld.script
LD_SCRIPTS = ld.kernel.script ld.ramdisk.script ld.script

LIBDIR=/usr/lib/tip22
BINDIR=/usr/sbin
LIBS=${TFTP_OBJS} ${LD_SCRIPTS} ${ARCLIB}
BINS=tip22

TARGETS = tftpload.o

# uncomment for debugging
#CFLAGS+=-DDEBUG

all:  $(TARGETS)

clean:
	rm -f $(TARGETS) *.a *.o tags

install: ${LIBS} ${BINS}
	install -d ${PREFIX}/${LIBDIR} ${PREFIX}/${BINDIR}
	install -m 644 ${LIBS} ${PREFIX}/${LIBDIR}
	install -m 755 ${BINS} ${PREFIX}/${BINDIR}
