=== debian/changelog ===
arcboot (0.3.3.9.woody.0) stable; urgency=medium

  * recompile 0.3.4 for Woody r1:
     - fix loader crashes on extfs errors
     - add tip22 (piggyback style tftp loader) needed by boot floppies
       for kernels newer then 2.4.16
  * disable debugging output

 -- Guido Guenther <agx@debian.org>  Thu, 19 Sep 2002 23:10:34 +0200

arcboot (0.3.4) unstable; urgency=low

  * don't let ext2fs errors crash the loader
  * remove dead code (larc.c)
  * Fix description, thanks Joey! (Closes: #153084)

 -- Guido Guenther <agx@debian.org>  Tue, 16 Jul 2002 01:05:49 +0200

arcboot (0.3.3) unstable; urgency=low

  * tip22 calculated the highest address of the kernel's memory image
    wrong - fixed
  * tip22 now passes everything in an append="...." statement on to the kernel's
    commandline
  * improve {s,f}printf (handle "%p","%lx", be more graceful on unimplemented
    format specifiers)
  * make tip22 script more failsafe
  * removed all printing of version numbers/dates on startup
  * typo fixes, minor doc updates

 -- Guido Guenther <agx@debian.org>  Thu, 16 May 2002 00:49:28 +0200

arcboot (0.3.2) unstable; urgency=low

  * implemented "tip22" bootloader. It embeds kernel and initrd in one
    ECOFF binary. This can be used for either tftp- or CD-booting and makes
    addinitrd in the mips-tools package obselete.
  * update package built to include tip22
  * add snprintf() to arclib (needed by tip22)
  * remove snprintf() stub from ext2io.c
  * Makefile and docu cleanups
  * add a rudimentary manpage for tip22 

 -- Guido Guenther <agx@debian.org>  Thu,  9 May 2002 22:01:11 +0200

arcboot (0.3.1) unstable; urgency=low

  * move arcboot's load address 1MB upwards to let more room for larger
    kernels
  * check if the kernels in /etc/arcboot.conf are really ELF (Closes: #144728)
  * add some logic to determine the vh arcboot should go into in arcboot.config
  * update TODO

 -- Guido Guenther <agx@debian.org>  Sat, 23 Feb 2002 20:21:50 +0100

arcboot (0.3) unstable; urgency=low

  * update manpage, README and package description
  * disable debugging output

 -- Guido Guenther <agx@debian.org>  Sun, 10 Feb 2002 20:04:55 +0100

arcboot (0.2) unstable; urgency=low

  * close ITP (Closes: #119163)
  * the diff was far larger than the .orig.tar.gz so make this a
    debian native package
  * add debconf dependency
  * update manpage 
  * apply patch from Flo <flo@rfc822.org> with an updated linker scipt
    removing the mips-tools dependency
  * generate /etc/arcboot.conf if it doesn't exist

 -- Guido Guenther <agx@debian.org>  Sat,  9 Feb 2002 02:30:04 +0100

arcboot (0.1-3) experimental; urgency=low

  * replace "\n" by "\n\r" for proper output on serial consoles
  * apply patch from Florian Lohoff to fix bad OSLoadFilename
    and formatting
  * use elf2ecoff to convert arcboot into an ecoff image
  * if OSLoadOptions starts with "/" it's a kernel name otherwise
    a label in arcboot.conf
  * remove shlibs from Depends in control file
  * change loadaddress of the bootloader 0x8820f000
  * add cacheflush before jumping into the kernel
  * add debconf frontend
  * add missing -d in dvhtool call to /usr/sbin/arcboot
  * finally remove run.S and disable larc build

 -- Guido Guenther <agx@debian.org>  Fri,  8 Feb 2002 23:42:18 +0100

arcboot (0.1-2) unstable; urgency=low

  * added config file parsing (an example is in /u/s/d/arcboot/examples)
  * added a small script to move arcboot into the volume header

 -- Guido Guenther <agx@debian.org>  Sun, 18 Nov 2001 18:09:49 +0100

arcboot (0.1-1) unstable; urgency=low

  * Initial Release.
  * warning fixes
  * make memset & free return the same values as the libc versions
  * build with -mno-abicalls -G 0 -fno-pic, so the prom can deal with it
  * use basically the kernel's linker script to link arcboot
  * move all addresses into KSEG0
  * IP22 is ARCS not ARC (MEMORYTYPE in arc.h)
  * IP22 is big endian (LARGEINTEGER in arc.h)
  * remove run.S and call the kernel entry via a C function call
  * add everything that is needed from e2fsprogs so we can build
    a libe2fs with -fnopic -mno-abicalls -G 0
  * make sure arcboot doesn't use the system ext2fs header files

 -- Guido Guenther <agx@debian.org>  Mon, 12 Nov 2001 00:21:31 +0100
