## arcboot 0.3.8.1

=== Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
# Copyright 2002-2004 Guido Guenther <agx@sigxcpu.org>
#  

# default subarch
SUBARCH=IP22

SUBARCH_INDEP_DIRS=\
		arclib		\
		e2fslib/util 	\
		e2fslib/et 	\
		e2fslib


# these contain subarch dependent files
SUBARCH_DIRS=\
		common		\
		ext2load	\
		tip22

all: build-subarch-indep build-subarch

build-subarch:
	set -e;			      	    \
	for i in ${SUBARCH_DIRS}; do        \
		${MAKE} -C $$i SUBARCH=${SUBARCH} all;\
	done

clean-subarch:
	set -e;			            \
	for i in ${SUBARCH_DIRS}; do        \
		${MAKE} -C $$i clean;       \
	done

build-subarch-indep:
	set -e;			      	    \
	for i in ${SUBARCH_INDEP_DIRS}; do  \
		${MAKE} -C $$i all;         \
	done

clean-subarch-indep:
	set -e;			      	    \
	for i in ${SUBARCH_INDEP_DIRS}; do  \
		${MAKE} -C $$i clean;       \
	done

clean: clean-subarch clean-subarch-indep

.PHONY: build-subarch build-subarch-indep clean-subarch \
        clean-subarch-indep clean all
