=== common/Makefile ===
CFLAGS = -Wall -O2 -I. -I../arclib -DSUBARCH=${SUBARCH}

TARGETS = print_loadaddr

all: $(TARGETS)

clean:
	rm -f $(TARGETS) *.a *.o tags
