=== ext2load/Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
#           2001-03 Guido Guenther <agx@sigxcpu.org>
#
EXT2_OBJS = loader.o ext2io.o conffile.o
LARC_OBJS = larc.o
OBJECTS = $(EXT2_OBJS) $(LARC_OBJS)

E2FSLIBDIR=../e2fslib

ARCLIBDIR = ../arclib
ARCLIB = $(ARCLIBDIR)/libarc.a

COMMONDIR = ../common

EXT2LIB = ../e2fslib/libext2fs.a

CFLAGS = -O -I $(COMMONDIR) -I$(ARCLIBDIR) -I$(E2FSLIBDIR) 	\
         -Wall -mno-abicalls -G 0 -fno-pic			\
	 -DSUBARCH=${SUBARCH}

ASFLAGS= -mno-abicalls -G 0 -fno-pic

# uncomment for debugging
#CFLAGS+=-DDEBUG

LD = ld
LDFLAGS = -N --oformat ecoff-bigmips -T ld.script

TARGETS = ext2load 

all:  $(TARGETS)

ext2load:  $(EXT2_OBJS) $(ARCLIB) ld.script
	rm -f $@
	$(LD) $(LDFLAGS) -o $@ $(EXT2_OBJS) $(EXT2LIB) $(ARCLIB)

ld.script: ld.script.in ../common/print_loadaddr
	LOADADDR=$$(../common/print_loadaddr); 	\
	sed -e "s/@@LOADADDR@@/$$LOADADDR/" <$< >$@

clean:
	rm -f $(TARGETS) *.a *.o tags ld.script
