=== tip22/Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
 #
-# Copyright 2002 Guido Guenther <agx@sigxcpu.org>
+# Copyright 2002-2004 Guido Guenther <agx@sigxcpu.org>
 #
 TFTP_OBJS = tftpload.o
 
 ARCLIBDIR = ../arclib
 ARCLIB = $(ARCLIBDIR)/libarc.a
 
-CFLAGS = -O -I$(ARCLIBDIR) -Wall -mno-abicalls -G 0 -fno-pic 
+COMMONDIR = ../common
+
+CFLAGS = -O -I $(COMMONDIR) -I$(ARCLIBDIR) \
+         -Wall -mno-abicalls -G 0 -fno-pic \
+	 -DSUBARCH=${SUBARCH}
+
 ASFLAGS= -mno-abicalls -G 0 -fno-pic
 LD = ld
 LDFLAGS = -N --oformat ecoff-bigmips -T ld.script
@@ -17,12 +22,16 @@
 LIBS=${TFTP_OBJS} ${LD_SCRIPTS} ${ARCLIB}
 BINS=tip22
 
-TARGETS = tftpload.o
+TARGETS = tftpload.o ld.script
 
 # uncomment for debugging
 #CFLAGS+=-DDEBUG
 
 all:  $(TARGETS)
+
+ld.script: ld.script.in ../common/print_loadaddr
+	LOADADDR=$$(../common/print_loadaddr); 	\
+	sed -e "s/@@LOADADDR@@/$$LOADADDR/" <$< >$@
 
 clean:
 	rm -f $(TARGETS) *.a *.o tags
