=== debian/changelog ===
arcboot (0.3.8.1) unstable; urgency=low

  * correct subarch detection for IP32

 -- Guido Guenther <agx@debian.org>  Tue,  2 Mar 2004 12:01:14 +0100

arcboot (0.3.8) unstable; urgency=low

  * add support to load 64bit kernels (by Vivien Chappelier and Ilya Volynets)
  * hack up makefile to allow for easier per subarch builds
  * debian/rules: build and include arcboot.ip32 in the package. 
  * modify arcboot script to select the correct arcboot.subarch when
    putting the loader in the volume header
  * use ext2_fs.h from e2fslib instead of linux/ext2fs.h to not depend
    on kernel headers
  * add pt translation by Bruno Rodrigues, thanks (Closes: #216392)
  * add pt_BR translation by Andre Luis Lopes, thanks (Closes: #228285)
  * add ja translaton by Hideki Yamane, thanks (Closes: #234087)

 --  Guido Guenther <agx@debian.org>  Mon,  1 Mar 2004 12:42:06 +0100

arcboot (0.3.7) unstable; urgency=low

  * postinst: call arcboot after arcboot.conf was created
  * /usr/sbin/arcboot: abort if we don't find a configuration file
  * fix typo in control file, thanks to Julien Blache <jblache at debian.org>,
    (Closes: #192810)
  * use po-debconf, patch by Christian Perrier <bubulle at ebian.org>, thanks!
    (Closes: #205819)
  * add French translation, thanks again Christian! (Closes: #206586)
  * fix "Upstream Authors(s)" in copyright file
  * reformat debian/control to 80 characters
  * bump Standards-Version to 3.6.1

 -- Guido Guenther <agx@debian.org>  Sun, 31 Aug 2003 22:53:20 +0200

arcboot (0.3.6) unstable; urgency=low

  * fix command line handling, now things like
    	boot linux root=/dev/sda1 single
    should work as expected, no need to mess with OSLoadOptions
  * fix booting arbitrary files
  	boot /vmlinux root=/dev/sda1
    will now properly boot OSLoadPartition/vmlinux
  * search for OSLoadPartition if the envvar is bogus
  * add missing prototypes, cleanup printf length modifiers
  * move some common definitions to subarch.h
  * use gcc-2.95
  * adding other 32bit IPs to arcboot is now a two line change
    in common/subarch.h
  * arcboot script now prints what it's doing
  * postrm: silent grep on new installs
  * echo 4 > debian/compat
  * Build-Depend: on debhelper (>=4)
  * Bump Standards Version to 3.5.9
  * add ${misc:Depends}

 -- Guido Guenther <agx@debian.org>  Sat, 26 Apr 2003 22:01:14 +0200

arcboot (0.3.5) unstable; urgency=low

  * relax arcboots ELF check to make it recongnize kernels built with
    newer binutils
  * make strcpy copy the trailing '\0', thanks to Florian Lohoff for the patch
  * compile version number from changelog into arcsboot/tip22
  * spelling fixes
  * minor debian/rules cleanup

 -- Guido Guenther <agx@debian.org>  Fri, 27 Sep 2002 14:06:36 +0200
