=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

realver := $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$2}' | awk -F- '{print $$1}')

PREFIX_ARCB=${CURDIR}/debian/arcboot
PREFIX_TIP22=${CURDIR}/debian/tip22

architecture=$(dpkg --print-architecture)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# update the version string
	echo "#define __ARCSBOOT_VERSION__ \"${realver}\"" > common/version.h
	# build the package
	make CC=gcc-2.95 build-subarch-indep
	make clean-subarch
	make CC=gcc-2.95 SUBARCH=IP32
	cp ext2load/ext2load arcboot.ip32
	make clean-subarch
	make CC=gcc-2.95 SUBARCH=IP22
	cp ext2load/ext2load arcboot.ip22
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -f arcboot.ip22 arcboot.ip32

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# install arcboot into debian/arcboot
	install -m 644 arcboot.ip22 ${PREFIX_ARCB}/usr/lib/arcboot/arcboot.ip22
	install -m 644 arcboot.ip32 ${PREFIX_ARCB}/usr/lib/arcboot/arcboot.ip32
	install -m 755 scripts/arcboot ${PREFIX_ARCB}/usr/sbin/arcboot

	# install tip22 into debian/tip22
	make PREFIX=${PREFIX_TIP22} -C tip22 install

# Build architecture-independent files here.
binary-indep: build install
# nothing to do

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples etc/arcboot.conf -parcboot
	dh_installexamples tip22/kernel/ -ptip22
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
