## arcboot 0.3.8.4

=== common/Makefile ===
--- 
+++ 
@@ -2,7 +2,13 @@
 
 TARGETS = print_loadaddr
 
+HOSTCC=$(CC)
+HOSTCFLAGS=-Wall -O2 -DSUBARCH=$(SUBARCH)
+
 all: $(TARGETS)
+
+$(TARGETS): print_loadaddr.c subarch.h
+	$(HOSTCC) $(HOSTCFLAGS) -o $@ $<
 
 clean:
 	rm -f $(TARGETS) *.a *.o tags
