=== ext2load/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright 1999 Silicon Graphics, Inc.
-#           2001-03 Guido Guenther <agx@sigxcpu.org>
+#           2001-04 Guido Guenther <agx@sigxcpu.org>
 #
 EXT2_OBJS = loader.o ext2io.o conffile.o
 LARC_OBJS = larc.o
@@ -31,7 +31,7 @@
 
 all:  $(TARGETS)
 
-ext2load:  $(EXT2_OBJS) $(ARCLIB) ld.script
+ext2load:  $(EXT2_OBJS) $(ARCLIB) ld.script ../common/subarch.h
 	rm -f $@
 	$(LD) $(LDFLAGS) -o $@ $(EXT2_OBJS) $(EXT2LIB) $(ARCLIB)
