=== debian/changelog ===
arcboot (0.3.8.4) unstable; urgency=low

  * fix compilation with gcc-3.3 for tip22 also (Closes: #273951)
  * mention IP32 in arcboots package description

 -- Guido Guenther <agx@debian.org>  Mon, 27 Sep 2004 16:45:11 +0200

arcboot (0.3.8.3) unstable; urgency=low

  * fix IP32/O2 subarch detection again, I hate /proc/cpuinfo changes
  * the 'de' debconf translation was in the last upload already
    (Closes: #250572)
  * finally tested it on IP32 myself and it work{s,ed}
  * fixup linker script to work with gcc-3.3 too

 -- Guido Guenther <agx@debian.org>  Sat, 25 Sep 2004 23:32:38 +0200

arcboot (0.3.8.2) unstable; urgency=low

  * /usr/sbin/arcboot uses file so depend on it (Closes: #236970)
  * add nl debconf translation by Luk Claes, thanks (Closes: #244632)

 -- Guido Guenther <agx@debian.org>  Tue, 20 Apr 2004 10:30:14 +0200
