=== debian/control ===
Source: arcboot
Section: admin
Priority: optional
Maintainer: Guido Guenther <agx@debian.org>
Build-Depends: debhelper (>=4.1.16)
Build-Conflicts: e2fslibs-dev
Standards-Version: 3.6.1

Package: arcboot
Architecture: mips
Depends: ${misc:Depends}, dvhtool, file
Description: Bootloader for SGI/MIPS IP22 and IP32 machines
 arcboot is a bootloader for SGI/MIPS IP22 and IP32 machines like the Indy,
 Indigo2 and O2. It is able to boot the Linux kernel from ext2 and ext3
 filesystems which makes putting the kernel into the volume header obsolete.
 Support for other ARCS based subarches can easily be added.
 It is currently not capable of booting IRIX or to boot from iso9660 CDROMs
 though.

Package: tip22
Architecture: mips
Depends: ${misc:Depends}, binutils | binutils-multiarch
Description: Tftp boot image builder for SGI/MIPS IP22 machines
 tip22 is used to merge kernel and initrd into one bootable ecoff image. This
 image also contains a small bootloader that copies the kernel to it's
 loadaddress and appends the ramdisk. This is useful for booting via tftp or
 from a CDROM. It is currently targeted for the IP22 subarchitecture but
 support for other ARCS based subarchitectures and output formats can easily be
 added.
