=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,12 @@
 	# update the version string
 	echo "#define __ARCSBOOT_VERSION__ \"${realver}\"" > common/version.h
 	# build the package
-	make CC=gcc-2.95 build-subarch-indep
+	make build-subarch-indep
 	make clean-subarch
-	make CC=gcc-2.95 SUBARCH=IP32
+	make SUBARCH=IP32
 	cp ext2load/ext2load arcboot.ip32
 	make clean-subarch
-	make CC=gcc-2.95 SUBARCH=IP22
+	make SUBARCH=IP22
 	cp ext2load/ext2load arcboot.ip22
 	touch build-stamp
