=== debian/changelog ===
arcboot (0.3.8.6) unstable; urgency=low

  * Allow ELF64 kernels for tip22/tip32.

 -- Thiemo Seufer <ths@debian.org>  Sun, 06 Feb 2005 01:51:01 +0100

arcboot (0.3.8.5) unstable; urgency=low

  * Add da debconf translation by Morten Brix Pedersen, thanks
    (Closes: #276691).
  * Add tip32 for IP32 machines.
  * Rework build system.
  * Vastly improved loader performance, thanks Keith Wesolowski.

 -- Thiemo Seufer <ths@debian.org>  Mon, 31 Jan 2005 21:24:00 +0100
