=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,12 @@
 realver := $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$2}' | awk -F- '{print $$1}')
 
 PREFIX_ARCB=${CURDIR}/debian/arcboot
+BIN_ARCB=usr/sbin
+LIB_ARCB=usr/lib/arcboot
+
 PREFIX_TIP22=${CURDIR}/debian/tip22
+BIN_TIP22=usr/sbin
+LIB_TIP22=usr/lib/tip22
 
 architecture=$(dpkg --print-architecture)
 
@@ -26,12 +31,12 @@
 	# update the version string
 	echo "#define __ARCSBOOT_VERSION__ \"${realver}\"" > common/version.h
 	# build the package
-	make build-subarch-indep
-	make clean-subarch
-	make SUBARCH=IP32
+	$(MAKE) build-subarch-indep
+	$(MAKE) clean-subarch-dep
+	$(MAKE) SUBARCH=IP32 build-subarch-dep
 	cp ext2load/ext2load arcboot.ip32
-	make clean-subarch
-	make SUBARCH=IP22
+	$(MAKE) clean-subarch-dep
+	$(MAKE) SUBARCH=IP22 build-subarch-dep
 	cp ext2load/ext2load arcboot.ip22
 	touch build-stamp
 
@@ -53,12 +58,13 @@
 	dh_installdirs
 
 	# install arcboot into debian/arcboot
-	install -m 644 arcboot.ip22 ${PREFIX_ARCB}/usr/lib/arcboot/arcboot.ip22
-	install -m 644 arcboot.ip32 ${PREFIX_ARCB}/usr/lib/arcboot/arcboot.ip32
-	install -m 755 scripts/arcboot ${PREFIX_ARCB}/usr/sbin/arcboot
+	install -m 644 arcboot.ip22 ${PREFIX_ARCB}/${LIB_ARCB}/arcboot.ip22
+	install -m 644 arcboot.ip32 ${PREFIX_ARCB}/${LIB_ARCB}/arcboot.ip32
+	install -m 755 scripts/arcboot ${PREFIX_ARCB}/${BIN_ARCB}/arcboot
 
 	# install tip22 into debian/tip22
-	make PREFIX=${PREFIX_TIP22} -C tip22 install
+	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C arclib install
+	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
 
 # Build architecture-independent files here.
 binary-indep: build install
