## arcboot 0.3.8.7

=== debian/changelog ===
arcboot (0.3.8.7) unstable; urgency=low

  * Add vietnamese translation, thanks Clytie Siddall (Closes: #313114).
  * Add czech translation, thanks Miroslav Kure (Closes: #317662).
  * Switch from the local e2fslib to the up-to-date libext2fs-nopic.a
    in Debian, but don't delete the old version for now.
  * Avoid inclusion of kernel headers.

 -- Thiemo Seufer <ths@debian.org>  Sat, 17 Sep 2005 20:15:35 +0200
