=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Guido Guenther <agx@debian.org>
 Uploaders: Thiemo Seufer <ths@debian.org>
-Build-Depends: debhelper (>=4.1.16)
-Build-Conflicts: e2fslibs-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
+Standards-Version: 3.6.2
 
 Package: arcboot
 Architecture: mips
